package GUIAnwendungen.Meine_GUI_Chat;

public class ChatFenster {

    private User user;
    private Chat_Fenster chat;

    ChatFenster(User user) {
        this.user = user;
        chat = new Chat_Fenster();
        zeigeName();
    }

    public void zeigeName() {
        chat.zeigeName(user.getName());
    }

    public User getUser() {
        return user;
    }

    public Chat_Fenster getChat() {
        return chat;
    }

    public void empfangeNachricht(String nachricht) {
        chat.sendText(nachricht); 
    }

    public void sendeNachricht(String nachricht) {
        chat.sendText(user.getName() + ": " + nachricht); 
    }
}
